// Top-level build file where you can add configuration options common to all sub-projects/modules.
buildscript {
    ext {
        versionName = "3.0.0" //★★★★★版本号★★★★★
        buildToolsVersion = "33.0.2"
        minSdkVersion = 23
        compileSdkVersion = 33
        targetSdkVersion = 33
        playServicesVersion = "18.0.0"
        firebaseMessagingVersion = "21.1.0"
        ndkVersion = "23.1.7779620"
        enableHermes = true
    }
    repositories {
        google()
        mavenCentral()
    }
    dependencies {
        classpath('com.android.tools.build:gradle')
        classpath("com.google.gms:google-services:4.3.15")
        classpath("org.jetbrains.kotlin:kotlin-gradle-plugin:1.7.22")
        classpath("com.facebook.react:react-native-gradle-plugin")
    }
}

allprojects {
    repositories {
        mavenLocal()
        maven {
            // All of React Native (JS, Obj-C sources, Android binaries) is installed from npm
            url("$rootDir/../node_modules/react-native/android")
        }
        maven {
            // Android JSC is installed from npm
            url("$rootDir/../node_modules/jsc-android/dist")
        }

        google()
        jcenter()
        maven { url 'https://www.jitpack.io' }
    }
}

project.ext.react = [
    nodeExecutableAndArgs: ["node", "--max_old_space_size=8192"]
]